Package fr.gouv.vitam.common.model.processing

# Class WorkFlow

java.lang.Object
fr.gouv.vitam.common.model.processing.WorkFlow

public class WorkFlow extends Object
workflow class used for deserialize JSON file (root element)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Step>`
  `steps`
  steps properties, must be defined in JSON file(required)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkFlow()`
  `WorkFlow(String id, String name, String identifier, String typeProc, String comment, LifecycleState lifecycleLog, WorkFlowExecutionContext executionContext, List<Step> steps)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  getComment
  `WorkFlowExecutionContext`
  `getExecutionContext()`
  `String`
  `getId()`
  getId, get id of workflow
  `String`
  `getIdentifier()`
  getIdentifier, get identifier of workflow
  `LifecycleState`
  `getLifecycleLog()`
  `String`
  `getName()`
  getName, get name of workflow
  `List<Step>`
  `getSteps()`
  getSteps(), get all step of workflow
  `String`
  `getTypeProc()`
  getTypeProc, get category of workflow
  `static WorkFlow`
  `of(String id, String identifier, String evTypeProc)`
  `WorkFlow`
  `setComment(String comments)`
  setComment, set the comment for workflow
  `WorkFlow`
  `setExecutionContext(WorkFlowExecutionContext executionContext)`
  `WorkFlow`
  `setId(String id)`
  setId, set the id of workflow
  `WorkFlow`
  `setIdentifier(String identifier)`
  setIdentifier, set the identifier of workflow
  `WorkFlow`
  `setLifecycleLog(LifecycleState lifecycleLog)`
  `WorkFlow`
  `setName(String name)`
  setName, set the name of workflow
  `WorkFlow`
  `setSteps(List<Step> steps)`
  setSteps, set the steps to workflow
  `WorkFlow`
  `setTypeProc(String typeProc)`
  setTypeProc, set the type of workflow
  `String`
  `toString()`
  toString : get the workflowId and comments on workflow as String

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### steps

    protected List<Step> steps
    steps properties, must be defined in JSON file(required)

- ## Constructor Details

  - ### WorkFlow

    public WorkFlow()

  - ### WorkFlow

    public WorkFlow(String id, String name, String identifier, String typeProc, String comment, LifecycleState lifecycleLog, WorkFlowExecutionContext executionContext, List<Step> steps)

- ## Method Details

  - ### of

    public static WorkFlow of(String id, String identifier, String evTypeProc)

  - ### getId

    public String getId()
    getId, get id of workflow
    Returns:
      the workflowID

  - ### setId

    public WorkFlow setId(String id)
    setId, set the id of workflow
    Parameters:
      `id` - as String
    Returns:
      the WorkFlow instance with id setted

  - ### getName

    public String getName()
    getName, get name of workflow
    Returns:
      the workflowName

  - ### setName

    public WorkFlow setName(String name)
    setName, set the name of workflow
    Parameters:
      `name` - as String
    Returns:
      the WorkFlow instance with name setted

  - ### getIdentifier

    public String getIdentifier()
    getIdentifier, get identifier of workflow
    Returns:
      the workflowIdentifier

  - ### setIdentifier

    public WorkFlow setIdentifier(String identifier)
    setIdentifier, set the identifier of workflow
    Parameters:
      `identifier` - as String
    Returns:
      the WorkFlow instance with identifier setted

  - ### getTypeProc

    public String getTypeProc()
    getTypeProc, get category of workflow
    Returns:
      the workflowType

  - ### setTypeProc

    public WorkFlow setTypeProc(String typeProc)
    setTypeProc, set the type of workflow
    Parameters:
      `typeProc` - as String
    Returns:
      the WorkFlow instance with type setted

  - ### getComment

    public String getComment()
    getComment
    Returns:
      comments on workflow

  - ### setComment

    public WorkFlow setComment(String comments)
    setComment, set the comment for workflow
    Parameters:
      `comments` - of the workflow
    Returns:
      the updated Workflow object

  - ### getLifecycleLog

    public LifecycleState getLifecycleLog()

  - ### setLifecycleLog

    public WorkFlow setLifecycleLog(LifecycleState lifecycleLog)

  - ### getExecutionContext

    public WorkFlowExecutionContext getExecutionContext()

  - ### setExecutionContext

    public WorkFlow setExecutionContext(WorkFlowExecutionContext executionContext)

  - ### getSteps

    public List<Step> getSteps()
    getSteps(), get all step of workflow
    Returns:
      the list of type Step

  - ### setSteps

    public WorkFlow setSteps(List<Step> steps)
    setSteps, set the steps to workflow
    Parameters:
      `steps` - as List
    Returns:
      the Workflow instance with steps setted

  - ### toString

    public String toString()
    toString : get the workflowId and comments on workflow as String
    Overrides:
      `toString` in class `Object`